<?php
 
require_once($_SERVER['DOCUMENT_ROOT'] . '/sys/db.php');

class modControlInstance  {
  private $instance_sum;
  private $instance_def;
  private $entry_def;
  private $control_opt;
  
  public function __construct() {
      
    $dal = new DAL();

    $sql = "SELECT CI.instance AS fieldname, " .
           "COL.value AS dbcolumn, LAB.value AS label, " .
           "0 AS newValue, 0 AS dbValue, '' AS newText, '' AS dbText, " .
           "CF.mandatory, CF.uniquekey, CF.confirm  " .
           "FROM controlinstance CI, controlform CF, " .
           "controlentry COL, controlentry LAB " . 
           "WHERE LAB.controlinstance_id = CI.id AND LAB.property = 'label' " .
           "AND COL.controlinstance_id = CI.id AND COL.property = 'column' " .
           "AND CF.controlinstance_id = CI.id AND CF.formhandler_id = " .
           "(SELECT FH.id FROM controlinstance FH " .
           "WHERE FH.instance = 'putControlInstance') ";
    $this->ciform_data = $dal->query($sql);  
   
    $sql = "SELECT CI.instance AS fieldname, " .
           "COL.value AS dbcolumn,  LAB.value AS label, " .
           "0 AS newValue, 0 AS dbValue, '' AS newText, '' AS dbText, " .
           "CF.mandatory, CF.uniquekey, CF.confirm  " .
           "FROM controlinstance CI, controlform CF, " .
           "controlentry COL, controlentry LAB " . 
           "WHERE LAB.controlinstance_id = CI.id AND LAB.property = 'label' " .
           "AND COL.controlinstance_id = CI.id AND COL.property = 'column' " .
           "AND CF.controlinstance_id = CI.id AND CF.formhandler_id = " .
           "(SELECT FH.id FROM controlinstance FH " .
           "WHERE FH.instance = 'putControlEntry') ";
    $this->ceform_data = $dal->query($sql);    

    $sql = "SELECT CI.id, SPACE(0) AS 'select', instance, location, CO.control  " .
           "FROM controlinstance CI, controlobject CO " .
           "WHERE CI.controlobject_id = CO.id " .
           "ORDER BY CO.control, CI.location ";
    $this->instance_sum = $dal->query($sql);
    
    $default = array ("id"=>0, "inpInstance"=>"", "inpLocation"=>"", "selControl"=>"0");
    $this->instance_defs = $this->toObject ($default);

    $default = array ("id"=>0, "inpProperty"=>"", "inpValue"=>"");
    $this->entry_defs = $this->toObject ($default);
    
    $sql = "SELECT id, control AS descr FROM controlobject";
    $this->control_opt = $dal->query($sql);
  }
  
  private function toObject($array) {
    $object = new stdClass();
    foreach ($array as $key => $value) {
      if (is_array($value)) {
        $value = $this->toObject($value);
      }
      $object->$key = $value;
    }
    return $object;
  }

  public function get($prop) {
    return $this->$prop;
  }
  
}

?>