<?php 
session_start ();

require_once($_SERVER['DOCUMENT_ROOT'] . "/sys/access.php");

if(!$access->CheckLogin()){
  $access->RedirectToURL("/login/login.php");
  exit;
}

define("PUBLIC_ACCESS", 1);
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta http-equiv="Content-Language" content="en-us">
  <title>Delete ProjectWorkday</title>
  <meta charset="utf-8">

  <link rel="stylesheet" href="/ext/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="/ext/bootstrap/bootstrap-theme.min.css">
  <link rel="stylesheet" href="/site/css/stickythead.css">
  <link rel="stylesheet" href="/site/css/bootstrap.css">
  <link rel="stylesheet" href="/site/css/multiselect.css">
  <link rel="stylesheet" href="/site/css/slider.css">
  <link rel="stylesheet" href="/site/css/style.css">

  <script src="/ext/jquery/jquery-3.1.1.min.js"></script>
  <script src="/ext/bootstrap/bootstrap.min.js"></script>
  <script src="/ext/jquery/jquery.stickytableheaders.min.js"></script>
  <script src="/site/js/main.js"></script>
  
<style>

  body {
    font-size:16px;
    font-weight:500;
    color:#000;
  }    

</style>  

</head>

<body>

<?php 

date_default_timezone_set("Canada/Eastern");

// Location of class definitions
$docRoot = $_SERVER['DOCUMENT_ROOT'];
$toolkit = $docRoot .  "/toolkit";

// Class object definitions for the UI Controls used
require_once ("$toolkit/crewroles.php");

// Class definitions for the Controls instantiator and Menu generator 
require_once ("$docRoot/sys/init.php");
require_once ("$docRoot/sys/menu.php");

// Model and view class object definitions for the module
require_once ("$docRoot/delprojworkday/model.php");
require_once ("$docRoot/delprojworkday/view.php");

$pw_id = 1588486206135261;

// Instantiate the model and view
$delProjWorkday = new modDelProjWorkday($pw_id);
$delProjWorkdayView = new modDelProjWorkdayView($delProjWorkday);

// Output html layout and javascript
echo $delProjWorkdayView->output();

?>

</body>
</html>

