<?php 
session_start ();

require_once($_SERVER['DOCUMENT_ROOT'] . "/sys/access.php");

if(!$access->CheckLogin()){
  $access->RedirectToURL("/login/login.php");
  exit;
}

define("PUBLIC_ACCESS", 1);
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta http-equiv="Content-Language" content="en-us">
  <title>Office Timesheet</title>
  <meta charset="utf-8">

  <link rel="stylesheet" href="/ext/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="/ext/bootstrap/bootstrap-theme.min.css">
  <link rel="stylesheet" href="/site/css/stickythead.css">
  <link rel="stylesheet" href="/site/css/bootstrap.css">
  <link rel="stylesheet" href="/site/css/multiselect.css">
  <link rel="stylesheet" href="/site/css/slider.css">
  <link rel="stylesheet" href="/site/css/style.css">

  <script src="/ext/jquery/jquery-3.1.1.min.js"></script>
  <script src="/ext/bootstrap/bootstrap.min.js"></script>
  <script src="/ext/jquery/jquery.stickytableheaders.min.js"></script>
  <script src="/site/js/main.js"></script>

<style>

  textarea {
    width: 100%;
  }

  body {
    font-size:16px;
    font-weight:500;
    color:#000;
  }
  

</style>


</head>
<body>

<?php 

// Die check contstant for indirectly accessed php  
define("PUBLIC_ACCESS", 1);

date_default_timezone_set("Canada/Eastern");

// Location of class definitions
$docRoot = $_SERVER['DOCUMENT_ROOT'];
$toolkit = "$docRoot/toolkit";

// Class object definitions for the UI Controls used
require_once ("$toolkit/clickcheckboxv2.php");
require_once ("$toolkit/inputtextv2.php");
require_once ("$toolkit/livesearchv2.php");       
require_once ("$toolkit/notetextv2.php");
require_once ("$toolkit/formdatahandler.php");
require_once ("$toolkit/putbutton.php");
require_once ("$toolkit/confirmmodal.php");
require_once ("$toolkit/selectdatev2.php");       
require_once ("$toolkit/selecthourminv2.php");    
require_once ("$toolkit/selectoptionv2.php");
require_once ("$toolkit/summarytable.php");


// Class definitions for the Controls instantiator and Menu generator 
require_once ("$docRoot/sys/init.php");
require_once ("$docRoot/sys/menu.php");

// Model and view class object definitions for the module
require_once ("$docRoot/officetimesheet/model.php");
require_once ("$docRoot/officetimesheet/view.php");

if (isset($_SESSION['login'])) 
  $lo_id = $_SESSION['login'];
else
  $lo_id = 0;


print_r ("lo:$lo_id");

// Instantiate the model and view
$officeTimesheet = new modOfficeTimesheet($lo_id);
$officeTimesheetView = new modOfficeTimesheetView($officeTimesheet);

// Insert html layout and javascript
echo $officeTimesheetView->output();

?>
</body>
</html>

